=== debian/changelog ===
pure-csv (1.5-3) natty; urgency=low

  * Latest upstream (rev. d4017d06994b)

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 22 May 2012 11:12:26 +0200

pure-csv (1.5-2) natty; urgency=low

  * Fixed missing dependency

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 21 May 2012 14:42:40 +0200

pure-csv (1.5-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 21 May 2012 13:55:27 +0200
