=== debian/control ===
Source: pure-csv
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org
#Vcs-Git: git://git.debian.org/collab-maint/pure-csv.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/pure-csv.git;a=summary

Package: pure-csv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CSV interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a module for working with the CSV (comma
 separated value) format in Pure.
